@charset "utf-8";
/* CSS Document */

body{
font-family:'Times New Roman', Times, serif;
font-size:18px;
}

.is-invalid{
    border:1px solid #dc3545;
}
.auth-img{
    max-width:100%;
    border-radius:10px;
}
.field-error{
    color:#dc3545;
    font-size:14px;
}
.field-success{
    color:#198754;
    font-size:14px;
}
/*password strength*/
.password-rules{
    list-style:none;
    padding-left:0;
    font-size:12px;
    display:flex;
    flex-wrap:wrap;
    gap:10px;
    margin:0;
}

.password-rules li{
    line-height: 0.5;
    color:red;
    white-space:nowrap;
}

.password-rules li.valid{
    color:green;
}
.password-rules li::before{
    content:"• ";
    color:#666;
}

/* STEP HEADER */

.step-wrapper{
background:#fff;
padding:10px 0;
border-bottom:4px solid indigo;
}

.step-item{
color:#666;
font-size:18px;
cursor:pointer;
}

.step-item.active{
color:indigo;
font-weight:bold;
}

.triangle{
color:#999;
font-size:16px;
}

/* TAB SECTIONS */

.tab-section{
margin-top:30px;
}


/* Popup box style */
/* Popup box style */
#popup-box {
  position: absolute;
  display: none;
  background: #fff;
  border: 1px solid #000;
  padding: 15px;
  border-radius: 8px;
  box-shadow: 0 0 12px rgba(0,0,0,0.2);
  width: 350px;
  z-index: 9999;
}

/* Arrow style */
#popup-box::after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border-style: solid;
}

/* Arrow Directions */
#popup-box.arrow-top::after {
  bottom: 100%;
  left: 20px;
  border-width: 8px;
  border-color: transparent transparent #fff transparent;
  filter: drop-shadow(0 -1px 0 #000);
}

#popup-box.arrow-bottom::after {
  top: 100%;
  left: 20px;
  border-width: 8px;
  border-color: #fff transparent transparent transparent;
  filter: drop-shadow(0 1px 0 #000);
}

#popup-box.arrow-left::after {
  right: 100%;
  top: 20px;
  border-width: 8px;
  border-color: transparent #fff transparent transparent;
  filter: drop-shadow(-1px 0 0 #000);
}

#popup-box.arrow-right::after {
  left: 100%;
  top: 20px;
  border-width: 8px;
  border-color: transparent transparent transparent #fff;
  filter: drop-shadow(1px 0 0 #000);
}
/* COURSE BOX */

.course-box{
border:1px solid #ddd;
border-radius:6px;
overflow:hidden;
transition:.3s;
}

.course-box:hover{
box-shadow:0 4px 12px rgba(0,0,0,.2);
}

.course-box img{
width:100%;
height:180px;
object-fit:cover;
}

.course-title{
font-size:14px;
font-weight:600;
margin-top:10px;
margin-bottom:10px;
}

/* SMALL COURSE STYLE */

.course-search-small{
font-size:0.80em;
}

.course-search-small .course-title{
font-size:12px;
margin-bottom:3px;
}

.course-search-small table{
font-size:11px;
}

.course-search-small .btn{
font-size:19px;
padding:2px 2px;
margin-bottom:2px;
}

.course-search-small .overlay-div{
font-size:8px;
padding:2px 4px;
}

.course-search-small .course-box{
padding:5px;
}

/* IMAGE OVERLAY */

.image-container{
position:relative;
height:100px;
overflow:hidden;
border:1px solid #ccc;
}

.image-container img{
width:100%;
height:100%;
object-fit:cover;
}

.overlay-div{
position:absolute;
top:0;
right:0;
background:white;
padding:3px 2px;
border-bottom-left-radius:10px;
box-shadow:0 2px 8px rgba(0,0,0,0.2);
font-size:8px;
text-transform:uppercase;
font-family:Arial;
}

.text-danger{font-size: 10px;}


select.form-control {
  appearance: auto;
  -webkit-appearance: auto;
  -moz-appearance: auto;
}
